Package org.apache.lucene.analysis.ne

## Class NepaliAnalyzer

- java.lang.Object
- - org.apache.lucene.analysis.Analyzer
  - - org.apache.lucene.analysis.StopwordAnalyzerBase
    - - org.apache.lucene.analysis.ne.NepaliAnalyzer

- All Implemented Interfaces:
    `Closeable`, `AutoCloseable`

      public final class NepaliAnalyzer
      extends StopwordAnalyzerBase

  Analyzer for Nepali.
  Since:
    9.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.analysis.Analyzer

      `Analyzer.ReuseStrategy, Analyzer.TokenStreamComponents`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `DEFAULT_STOPWORD_FILE` | File containing default Nepali stopwords.

    - ### Fields inherited from class org.apache.lucene.analysis.StopwordAnalyzerBase

      `stopwords`

    - ### Fields inherited from class org.apache.lucene.analysis.Analyzer

      `GLOBAL_REUSE_STRATEGY, PER_FIELD_REUSE_STRATEGY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NepaliAnalyzer()` | Builds an analyzer with the default stop words: `DEFAULT_STOPWORD_FILE`.
    `NepaliAnalyzer​(CharArraySet stopwords)` | Builds an analyzer with the given stop words
    `NepaliAnalyzer​(CharArraySet stopwords, CharArraySet stemExclusionSet)` | Builds an analyzer with the given stop words

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Analyzer.TokenStreamComponents` | `createComponents​(String fieldName)` | Creates `Analyzer.TokenStreamComponents` used to tokenize all the text in the provided `Reader`.
    `static CharArraySet` | `getDefaultStopSet()` | Returns an unmodifiable instance of the default stop-words set.
    `protected TokenStream` | `normalize​(String fieldName, TokenStream in)` |

    - ### Methods inherited from class org.apache.lucene.analysis.StopwordAnalyzerBase

      `getStopwordSet, loadStopwordSet, loadStopwordSet, loadStopwordSet`

    - ### Methods inherited from class org.apache.lucene.analysis.Analyzer

      `attributeFactory, close, getOffsetGap, getPositionIncrementGap, getReuseStrategy, initReader, initReaderForNormalization, normalize, tokenStream, tokenStream`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_STOPWORD_FILE

          public static final String DEFAULT_STOPWORD_FILE

      File containing default Nepali stopwords.

      Default stopword list is from the Apache2 python project NLTK: https://github.com/nltk/nltk_data

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### NepaliAnalyzer

          public NepaliAnalyzer​(CharArraySet stopwords,
                                CharArraySet stemExclusionSet)

      Builds an analyzer with the given stop words
      Parameters:
        `stopwords` - a stopword set
        `stemExclusionSet` - a stemming exclusion set

    - #### NepaliAnalyzer

          public NepaliAnalyzer​(CharArraySet stopwords)

      Builds an analyzer with the given stop words
      Parameters:
        `stopwords` - a stopword set

    - #### NepaliAnalyzer

          public NepaliAnalyzer()

      Builds an analyzer with the default stop words: `DEFAULT_STOPWORD_FILE`.

  - ### Method Detail

    - #### getDefaultStopSet

          public static CharArraySet getDefaultStopSet()

      Returns an unmodifiable instance of the default stop-words set.
      Returns:
        an unmodifiable instance of the default stop-words set.

    - #### createComponents

          protected Analyzer.TokenStreamComponents createComponents​(String fieldName)

      Creates `Analyzer.TokenStreamComponents` used to tokenize all the text in the provided `Reader`.
      Specified by:
        `createComponents` in class `Analyzer`
      Returns:
        `Analyzer.TokenStreamComponents` built from a `StandardTokenizer` filtered with `LowerCaseFilter`, `DecimalDigitFilter`, `IndicNormalizationFilter`, `SetKeywordMarkerFilter` if a stem exclusion set is provided, `SnowballFilter`, and Nepali Stop words

    - #### normalize

          protected TokenStream normalize​(String fieldName,
                                          TokenStream in)

      Overrides:
        `normalize` in class `Analyzer`